Persistent error message after installing HP LaserJet 1020

Forum rules
Before you post please read this
Post Reply
mafinokc
Level 1
Level 1
Posts: 5
Joined: Mon Aug 31, 2015 7:05 pm

Persistent error message after installing HP LaserJet 1020

Post by mafinokc » Sun Apr 15, 2018 1:53 pm

Re Linux, I'd say I'm between beginner and intermediate, but closer to beginner. I'm running Linux Mint 18.3 on an old PC. I just attached an old HP LaserJet 1020 printer to it. I downloaded the appropriate packages and ran the installation. It was a bit rocky, and after the dust settled, I found that the printer had been installed twice. But the printer works, so I decided just to leave it the way it is. However, now whenever I run the software updater, it pauses early in the process and opens a window with this error message:

W: http://www.openprinting.org/download/printdriver/debian/dists/lsb3.2/Release.gpg:
Signature by key F8897B6F00075648E248B7EC24CBF5474CFD1E2F uses weak digest algorithm (SHA1)

I frankly have only the haziest notion of what this means and no idea at all what to do about it. Seeking the assistance of anyone who can explain this to me and how to get rid of it. Thank you!

User avatar
Flemur
Level 16
Level 16
Posts: 6108
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Persistent error message after installing HP LaserJet 1020

Post by Flemur » Sun Apr 15, 2018 1:58 pm

mafinokc wrote:
Sun Apr 15, 2018 1:53 pm
W: http://www.openprinting.org/download/pr ... elease.gpg:
Signature by key F8897B6F00075648E248B7EC24CBF5474CFD1E2F uses weak digest algorithm (SHA1)
I think it's just a warning about an issue with "openprinting.org" -

how-to-fix-apt-signature-by-key-uses-weak-digest-algorithm-sha1
https://askubuntu.com/questions/760796/ ... rithm-sha1
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

Re: Persistent error message after installing HP LaserJet 1020

Post by pdc_2 » Sun Apr 15, 2018 4:42 pm

Hi mafinokc;

I see you say
I downloaded the appropriate packages and ran the installation
and I wonder how many packages you downloaded; and what they were;

my take would be that the 1020 is a very good printer; and a senior citizen; and that Mint comes with hplip already installed: which HP provide for Linux Printing ...... hence hplip

it should sort of run in the background; if one installs a newer version; on top of what is already installed; there are some suspicions that this causes clashes;
W: http://www.openprinting.org/download/pr ... elease.gpg:
Signature by key F8897B6F00075648E248B7EC24CBF5474CFD1E2F uses weak digest algorithm (SHA1)
it sounds like you have added something as a repository; and best to delete that added respository; you can see what you have by opening the update manager: the shield at bottom right; top line in that go to EDIT: down to SOFTWARE SOURCES; enter sudo password when asked; look at the PPAs and ADDITIONAL REPOSITORIES boxes to see what you have collected in there; (I say all that because I don't see you need an open office repository to get hp to work)

if one were starting again, if one opens a terminal and types

Code: Select all

hp-setup
that should activate hplip; or one could open the PRINTERS folder and click on the ADD button top-left; ............ if the system does not autorun hplip by itself; that should be simpler than installing extra packages

________________
and here is a post https://ubuntu-mate.community/t/problem ... te/11787/5 with various suggestions on another forum as to what to do: you might wish to check out each of their suggestions

Post Reply

Return to “Printers & Scanners”